<?php

use Illuminate\Database\Seeder;

class EvaluateSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        foreach (\App\Hotel::cursor() as $hotel) {
            foreach (\App\User::where('role', 'user')->cursor() as $user) {
                factory(\App\Evaluate::class)->create(
                    [
                        'user_id' => $user->id,
                        'hotel_id' => $hotel->id,
                    ]
                );
            }
        }

//        foreach (\App\UmrahTrip::cursor() as $umrahTrip) {
            foreach (\App\User::where('role', 'user')->cursor() as $user) {
                factory(\App\Evaluate::class)->create(
                    [
                        'user_id' => $user->id,
                        'umrah_trip_id' => 1,
                    ]
                );
            }
//        }
    }
}
